Bug 1122777 - Review Request: tcpcrypt - Opportunistically encrypt TCP connections
Summary: Review Request: tcpcrypt - Opportunistically encrypt TCP connections
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 04:10 UTC by Paul Wouters
Modified: 2015-02-17 18:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-15 03:25:09 UTC
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Wouters 2014-07-24 04:10:12 UTC
Spec URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt.spec
SRPM URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt-0-0.c8b7efa.fc20.src.rpm
Description: Opportunistically encrypt TCP connections
Fedora Account System Username: pwouters

Comment 1 Paul Wouters 2014-08-08 01:08:48 UTC
Spec URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt.spec
SRPM URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt-0-1.c8b7efa.fc20.src.rpm

* Fri Aug 08 2014 Paul Wouters <pwouters@redhat.com> - 0-1.c8b7efa
- Patch for missing-call-to-chdir-with-chroot and missing-call-to-setgroups
- Remove RPATH

Comment 2 Paul Wouters 2014-08-20 04:26:14 UTC
Spec URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt.spec
SRPM URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt-0-2.cacd9789.fc19.src.rpm

* Wed Aug 20 2014 Paul Wouters <pwouters@redhat.com> - 0-2.cacd9789
- Updated to latest git, removed patched merged upstream
- Added systemd service file
- Removed no longer needed rpath fixes

Comment 3 Paul Wouters 2014-08-25 18:59:33 UTC
* Mon Aug 25 2014 Paul Wouters <pwouters@redhat.com> - 0-3.cacd9789
- Enabled autoconf Buildrequires for snapshot release


Spec URL: https://www.nohats.ca/ftp/tcpcrypt/tcpcrypt.spec
SRPM URL: https://www.nohats.ca/ftp/tcpcrypt/tcpcrypt-0-3.cacd9789.fc19.src.rpm

Comment 4 Patrick Uiterwijk 2014-09-05 19:01:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/puiterwijk/Documents/Development/Fedora/Review/1122777-tcpcrypt/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
  beginning of %install.
- Package should not use obsolete m4 macros
  Note: AC_PROG_LIBTOOL found in: tcpcrypt-cacd9789/user/configure.ac:51
- Rpmlint is run
  Note: you have some unused linked dependencies, check rpmlint output.
  Note2: Check here for info on this: http://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tcpcrypt-0-3.cacd9789.fc20.x86_64.rpm
          tcpcrypt-devel-0-3.cacd9789.fc20.x86_64.rpm
          tcpcrypt-libs-0-3.cacd9789.fc20.x86_64.rpm
          tcpcrypt-0-3.cacd9789.fc20.src.rpm
tcpcrypt.x86_64: W: non-standard-uid /run/tcpcryptd tcpcryptd
tcpcrypt.x86_64: W: non-standard-gid /run/tcpcryptd tcpcryptd
tcpcrypt.x86_64: W: no-manual-page-for-binary tcpcryptd
tcpcrypt.x86_64: W: no-manual-page-for-binary tcnetstat
tcpcrypt-devel.x86_64: W: only-non-binary-in-usr-lib
tcpcrypt-devel.x86_64: W: no-documentation
tcpcrypt-libs.x86_64: W: spelling-error Summary(en_US) tcpcryptd -> cryptic
tcpcrypt-libs.x86_64: W: spelling-error %description -l en_US tcpcryptd -> cryptic
tcpcrypt.src: W: file-size-mismatch tcpcrypt-cacd9789.tar.gz = 177843, https://github.com/scslab/tcpcrypt/archive/cacd9789f29282d8e4ddc018822e6afdb145ab22/tcpcrypt-cacd9789.tar.gz = 177951
4 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tcpcrypt-libs tcpcrypt-devel tcpcrypt
tcpcrypt-libs.x86_64: W: spelling-error Summary(en_US) tcpcryptd -> cryptic
tcpcrypt-libs.x86_64: W: spelling-error %description -l en_US tcpcryptd -> cryptic
tcpcrypt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtcpcrypt.so.0.0.0 /lib64/libz.so.1
tcpcrypt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtcpcrypt.so.0.0.0 /lib64/librt.so.1
tcpcrypt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtcpcrypt.so.0.0.0 /lib64/libnfnetlink.so.0
tcpcrypt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtcpcrypt.so.0.0.0 /lib64/libnetfilter_queue.so.1
tcpcrypt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtcpcrypt.so.0.0.0 /lib64/libcrypto.so.10
tcpcrypt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtcpcrypt.so.0.0.0 /lib64/libcap.so.2
tcpcrypt-devel.x86_64: W: only-non-binary-in-usr-lib
tcpcrypt-devel.x86_64: W: no-documentation
tcpcrypt.x86_64: W: non-standard-uid /run/tcpcryptd tcpcryptd
tcpcrypt.x86_64: W: non-standard-gid /run/tcpcryptd tcpcryptd
tcpcrypt.x86_64: W: no-manual-page-for-binary tcpcryptd
tcpcrypt.x86_64: W: no-manual-page-for-binary tcnetstat
3 packages and 0 specfiles checked; 0 errors, 14 warnings.
# echo 'rpmlint-done:'



Requires
--------
tcpcrypt-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcap.so.2()(64bit)
    libcrypto.so.10()(64bit)
    libnetfilter_queue.so.1()(64bit)
    libnfnetlink.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

tcpcrypt-devel (rpmlib, GLIBC filtered):
    libtcpcrypt.so.0()(64bit)
    tcpcrypt(x86-64)

tcpcrypt (rpmlib, GLIBC filtered):
    /bin/sh
    config(tcpcrypt)
    libc.so.6()(64bit)
    libcap.so.2()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libnetfilter_queue.so.1()(64bit)
    libnfnetlink.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libtcpcrypt.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    shadow-utils
    systemd-units
    tcpcrypt-libs(x86-64)



Provides
--------
tcpcrypt-libs:
    libtcpcrypt.so.0()(64bit)
    tcpcrypt-libs
    tcpcrypt-libs(x86-64)

tcpcrypt-devel:
    tcpcrypt-devel
    tcpcrypt-devel(x86-64)

tcpcrypt:
    config(tcpcrypt)
    tcpcrypt
    tcpcrypt(x86-64)



Source checksums
----------------
https://github.com/scslab/tcpcrypt/archive/cacd9789f29282d8e4ddc018822e6afdb145ab22/tcpcrypt-cacd9789.tar.gz :
  CHECKSUM(SHA256) this package     : 697875062376be17bdfd3523fa2fd37a3fedc6e062622676f76b139910f22e87
  CHECKSUM(SHA256) upstream package : 48f1d4fc57b5ae170a4078032dc8c6aa3ef559af13bacf75d598293ada3ad8f7
diff -r also reports differences


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: tcpcrypt-cacd9789/user/configure.ac:51


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1122777
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Paul Wouters 2015-01-29 21:42:42 UTC
Spec URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt.spec
SRPM URL: ftp://ftp.nohats.ca/tcpcrypt/tcpcrypt-0.4-0.2.bb990b1b.fc19.src.rpm
Description: Opportunistically encrypt TCP connections
Fedora Account System Username: pwouters

Comment 6 Patrick Uiterwijk 2015-01-29 22:48:08 UTC
- Source files are very weird: the size and checksum between the srpm tarball and upstream tarball differ, but diff -r shows no differences.
- Your useradd uses -g tcpcrypt, which misses the trailing "d".
- Package still runs rm -rf %{buildroot} at the beginning of %install.
- Package still uses obsolete m4 macros: 
  AC_PROG_LIBTOOL found in: tcpcrypt-bb990b1bfb0e411f0613abdaf3b71fdce50a82cf/configure.ac:55
- Rpmlint on Installed:
tcpcrypt-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libtcpcrypt.so.0.0.0 socket_address_is_null
tcpcrypt-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libtcpcrypt.so.0.0.0 socket_address_clear
tcpcrypt-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libtcpcrypt.so.0.0.0 resolve_socket_address_local
- Rpmlint on built:
tcpcrypt-devel.x86_64: W: only-non-binary-in-usr-lib
tcpcrypt-devel.x86_64: W: no-documentation
tcpcrypt.src: W: strange-permission tcpcryptd-firewall 0755L

Comment 7 Patrick Uiterwijk 2015-01-29 23:38:00 UTC
Okay, after your last changes and the upstream report of macro usage, this package is


APPROVED

Comment 8 Paul Wouters 2015-01-29 23:42:39 UTC
New Package SCM Request
=======================
Package Name: tcpcrypt
Short Description: Opportunistically encrypt TCP connections
Upstream URL: http://tcpcrypt.org/
Owners: pwouters
Branches: f21 el6 epel7
InitialCC: pwouters

Comment 9 Gwyn Ciesla 2015-01-30 13:49:15 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-01-30 16:02:41 UTC
tcpcrypt-0.4-0.3.bb990b1b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tcpcrypt-0.4-0.3.bb990b1b.fc21

Comment 11 Fedora Update System 2015-01-30 16:04:59 UTC
tcpcrypt-0.4-0.3.bb990b1b.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/tcpcrypt-0.4-0.3.bb990b1b.el7

Comment 12 Fedora Update System 2015-01-31 16:53:04 UTC
tcpcrypt-0.4-0.3.bb990b1b.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 13 Fedora Update System 2015-02-15 03:25:09 UTC
tcpcrypt-0.4-0.3.bb990b1b.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-02-17 18:58:25 UTC
tcpcrypt-0.4-0.3.bb990b1b.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.